Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Class PersistenceException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--oracle.jbo.JboException
                              |
                              +--oracle.jbo.PersistenceException

Direct Known Subclasses:
  NoXMLFileException

public class PersistenceException
extends JboException

Indicates an error while loading XML files at Runtime.

Since:
  JDeveloper 3.0
See Also:
  Serialized Form

Constructor Summary
`PersistenceException(java.lang.Class bundleClass, java.lang.String errorCode, java.lang.Object[] params)` Creates an exception to be localized using a given message bundle and error code.
`PersistenceException(java.lang.String errorCode, java.lang.Object[] params)` Creates an exception to be localized using `CSMessageBundle` and a given error code.

Methods inherited from class oracle.jbo.JboException
`addToDetails, getBaseMessage, getDetailMessage, getDetails, getErrorCode, getErrorParameters, getJboExceptionHelper, getLocalizedBaseMessage, getLocalizedMessage, getMessage, getProductCode, getResourceClass, getResourceName, getTypeNameFromId, isLocalizable, printStackTrace, printStackTrace, printStackTrace, setApplicationModule, setDetails, setErrorParameters`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PersistenceException

    public PersistenceException(java.lang.String errorCode,
                                java.lang.Object[] params)

  Creates an exception to be localized using `CSMessageBundle` and a given error code.
  Parameters:
    `errorCode` - the error code.
    `params` - an array of message parameters.

### PersistenceException

    public PersistenceException(java.lang.Class bundleClass,
                                java.lang.String errorCode,
                                java.lang.Object[] params)

  Creates an exception to be localized using a given message bundle and error code.
  Parameters:
    `bundleClass` - the message bundle.
    `errorCode` - the error code.
    `params` - an array of message parameters.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD